//===========================================================================
// package
//===========================================================================
package jp.gr.java_conf.bugslife.form;

//===========================================================================
// import
//===========================================================================
import javax.servlet.http.HttpServletRequest;
import org.apache.struts.action.ActionError;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.validator.ValidatorForm;
import org.apache.struts.validator.ValidatorForm;
import java.io.UnsupportedEncodingException;

import jp.gr.java_conf.bugslife.util.*;

/**
 *<PRE>
 * UserListFormクラス
 *
 *</PRE>
 * @author 鰐川　正寛
 * @version 1.0.0
 */
public class UserListForm extends ValidatorForm {
//===========================================================================
// attributes
//===========================================================================
	/**
	 * アクション
	 */
	private String m_action;
	/**
	 * uno
	 */
	private int m_uno;
//===========================================================================
// methods
//===========================================================================
	/**
	 * アクションのセット
	 * 
	 * @param action アクション
	 */
	public void setAction(String action) {
		m_action = action;
	}
	/**
	 * アクションの取得
	 * 
	 * @return アクション
	 */
	public String getAction() {
		return m_action;
	}
	/**
	 * unoのセット
	 * 
	 * @param uno uno
	 */
	public void setUno(int uno) {
		m_uno = uno;
	}
	/**
	 * unoの取得
	 * 
	 * @return uno
	 */
	public int getUno() {
		return m_uno;
	}
	/**
	 * デバッグ文字出力
	 *
	 * @param s 出力文字列
	 */
	private void debug(String s) {
		System.out.println("[UserListForm]" + s);
	}
//===========================================================================
// Public Methods
//===========================================================================
	/**
	* リセット
	*
	* @param mapping The mapping used to select this instance
	* @param request The servlet request we are processing
	*/
	public void reset(ActionMapping mapping, HttpServletRequest request) {
		//debug
		debug("reset");
		//encodeing セット
		try {
			request.setCharacterEncoding("SJIS");
		} catch (UnsupportedEncodingException e) {
			e.printStackTrace();
		}
		
		m_action = null;
		m_uno = 0;
	}
	/**
	* 値の検証(Validate) 
	*
	* @param mapping The mapping used to select this instance
	* @param request The servlet request we are processing
	*/
	public ActionErrors validate(ActionMapping mapping,
								 HttpServletRequest request) {
		
		ActionErrors errors = new ActionErrors();
		
		//action
		Varidater.checkRequired(m_action, "action", errors);
		
		return errors;
	}
}